#!/usr/bin/env python

import turtle
import TurtleUtilsPMP as tp


def main():
    scr = tp.initializescreen()
    t1 = tp.initializeturtle()
    
    t1.setpos(-250, 0)
    scr.colormode(1.0)
    trianglestamp(t1)
    t1.setpos(250, 0)
    scr.colormode(255)
    mobiusstamp(t1)

    scr.exitonclick()


def trianglestamp(t):
    t.shape('triangle')
    t.pensize(1)
    t.ht()
    f = 0.83282
    phi = 6.89637
    s = 20
    c = 1
    for i in range(20):
        t.shapesize(s)
        t.fillcolor(c, 0.5, 1-c)
        dummy = t.stamp()
        s *= f
        c *= f
        t.rt(phi)


def mobiusstamp(t):
    t.shape('circle')
    t.pu()
    t.goto(150,0)
    t.fillcolor('red')
    t.shapesize(5, 1, 4)
    for i in range(72):
        t.fd(12)
        t.lt(5)
        t.tilt(7.5)
        dummy = t.stamp()
        

if __name__ == '__main__':
    main()
