import turtle


def main():
    # put label on top of page
    turtle.title('Sun Figure')

    # setup screen size
    turtle.setup(1000, 1000, 0, 0)

    turtle.tracer(2)
    # Accelerates drawing by updating screen only every n frames.

    # create a turtle object
    t = turtle.Turtle()
    t.speed(0)
    t.ht()

    # draw the sun figure
    drawSun(t, 1, 'dark orange')

    turtle.exitonclick()
  

def drawSun(t, size, color):
    t.pencolor(color)
    t.fillcolor(color)
    t.begin_fill()
    for i in range(9):
        drawRay(t, size)
        t.right(160)
    t.end_fill()
    

def drawRay(t, size):
    for i in range(2):
        drawArcR(t, size, 90)
        drawArcL(t, size, 90)


def drawArcR(t, size, degrees):
    for i in range(degrees):
        t.fd(size)
        t.rt(1)


def drawArcL(t, size, degrees):
    for i in range (degrees):
        t.fd(size)
        t.lt(1)


if __name__ == '__main__':
    main()
